Loading...
Searching...
No Matches
itk::EulerTransform< TScalarType, 3 > Class Template Reference

`#include <itkEulerTransform.h>`

## Detailed Description

template<class TScalarType>
class itk::EulerTransform< TScalarType, 3 >

Definition at line 159 of file itkEulerTransform.h.

Inheritance diagram for itk::EulerTransform< TScalarType, 3 >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | Pointer = SmartPointer<Self>
using | Self = EulerTransform
using | Superclass = EulerGroupTemplate<TScalarType, 3>

## Public Member Functions

virtual const char * | GetClassName () const
bool | GetComputeZYX () const override
| ITK_DISALLOW_COPY_AND_MOVE (EulerTransform)
| itkStaticConstMacro (SpaceDimension, unsigned int, 3)
void | SetComputeZYX (const bool arg) override

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

| EulerTransform ()=default
| ~EulerTransform () override=default

## Member Typedef Documentation

## ConstPointer

template<class TScalarType>

using itk::EulerTransform< TScalarType, 3 >::ConstPointer = SmartPointer<const Self>

Definition at line 168 of file itkEulerTransform.h.

## Pointer

template<class TScalarType>

using itk::EulerTransform< TScalarType, 3 >::Pointer = SmartPointer<Self>

Definition at line 167 of file itkEulerTransform.h.

## Self

template<class TScalarType>

using itk::EulerTransform< TScalarType, 3 >::Self = EulerTransform

Standard ITK-stuff.

Definition at line 165 of file itkEulerTransform.h.

## Superclass

template<class TScalarType>

using itk::EulerTransform< TScalarType, 3 >::Superclass = EulerGroupTemplate<TScalarType, 3>

Definition at line 166 of file itkEulerTransform.h.

## Constructor & Destructor Documentation

## EulerTransform()

template<class TScalarType>

itk::EulerTransform< TScalarType, 3 >::EulerTransform | ( |  | ) |

protected default

## ~EulerTransform()

template<class TScalarType>

itk::EulerTransform< TScalarType, 3 >::~EulerTransform | ( |  | ) |

override protected default

## Member Function Documentation

## GetClassName()

template<class TScalarType>

virtual const char * itk::EulerTransform< TScalarType, 3 >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

## GetComputeZYX()

template<class TScalarType>

bool itk::EulerTransform< TScalarType, 3 >::GetComputeZYX | ( |  | ) | const

inline override

Make sure GetComputeZYX() is available, also in 2D, in which case, it just returns false.

Note
  This member function is only an override in 3D.

Definition at line 203 of file itkEulerTransform.h.

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TScalarType>

itk::EulerTransform< TScalarType, 3 >::ITK_DISALLOW_COPY_AND_MOVE | ( | EulerTransform< TScalarType, 3 > |  | ) |

## itkStaticConstMacro()

template<class TScalarType>

itk::EulerTransform< TScalarType, 3 >::itkStaticConstMacro | ( | SpaceDimension | ,
|  | unsigned int | ,
|  | 3 | )

Dimension of the domain space.

## New()

template<class TScalarType>

Pointer itk::EulerTransform< TScalarType, 3 >::New | ( |  | ) |

static

Method for creation through the object factory.

## SetComputeZYX()

template<class TScalarType>

void itk::EulerTransform< TScalarType, 3 >::SetComputeZYX | ( | const bool | arg | ) |

inline override

Make sure SetComputeZYX() is available, also in 2D, in which case, its just a dummy function.

Note
  This member function is only an override in 3D.

Definition at line 185 of file itkEulerTransform.h.

Generated on 1768596610 for elastix by 1.15.0 |